Simulate an index
- POST /_index_template/_simulate_index/{name}
Get the index configuration that would be applied to the specified index from an existing index template.
Required privileges
- Cluster privileges manage_index_templates
Query parameters
-
createboolean · default: false -
Whether the index template we optionally defined in the body should only be dry-run added if new or can also replace an existing one
-
causestring · default: false -
User defined reason for dry-run creating the new template for simulation purposes
-
master_timeoutunion oneOf · default: 30s -
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
-
Values:
-10 -
include_defaultsboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
If true, returns all relevant default configurations for the index template.
Request body
-
index_patternsunion oneOfrequired -
Array of wildcard (
*) expressions used to match the names of data streams and indices during creation. -
One of:
string[]orstring -
composed_ofstring[]required -
An ordered list of component template names. Component templates are merged in the order specified, meaning that the last component template specified has the highest precedence.
-
templateobject -
Template to be applied. It may optionally include an
aliases,mappings, orsettingsconfiguration. -
aliasesmap string to object -
Aliases to add. If the index template includes a
data_streamobject, these are data stream aliases. Otherwise, these are index aliases. Data stream aliases ignore theindex_routing,routing, andsearch_routingoptions. -
<string>object -
filter{} Query -
Query used to limit documents the alias can access.
-
index_routingstring -
Value used to route indexing operations to a specific shard. If specified, this overwrites the
routingvalue for indexing operations. -
mappingsobject -
Mapping for fields in the index. If specified, this mapping can include field names, field data types, and mapping parameters.
-
propertiesmap string to oneOf -
<string>union oneOf -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_dimensionbooleanThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_dimensionbooleanThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
null_valuestringThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.15 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
dimsnumber -
Number of vector dimensions. Can't exceed
4096. Ifdimsis not specified, it will be set to the length of the first vector added to the field. -
element_typeenum · default: float -
The data type used to encode vectors. The supported data types are
float(default),byte, andbit.Supported values include:
bit: Indexes a single bit per dimension. Useful for very high-dimensional vectors or models that specifically support bit vectors.
Notewhen using
bit, the number of dimensions must be a multiple of8and must represent the number of bits.byte: Indexes a 1-byte integer value per dimension.float: Indexes a 4-byte floating-point value per dimension.
-
Values:
bitbytefloat -
index_optionsobject -
An optional section that configures the kNN indexing algorithm. The HNSW algorithm has two internal parameters that influence how the data structure is built. These can be adjusted to improve the accuracy of results, at the expense of slower indexing speed.
This parameter can only be specified when
indexistrue. -
confidence_intervalnumber -
The confidence interval to use when quantizing the vectors. Can be any value between and including
0.90and1.0or exactly0. When the value is0, this indicates that dynamic quantiles should be calculated for optimized quantization. When between0.90and1.0, this value restricts the values used when calculating the quantization thresholds.For example, a value of
0.95will only use the middle95%of the values when calculating the quantization thresholds (e.g. the highest and lowest2.5%of values will be ignored).Defaults to
1/(dims + 1)forint8quantized vectors and0forint4for dynamic quantile calculation.Only applicable to
int8_hnsw,int4_hnsw,int8_flat, andint4_flatindex types. -
ef_constructionnumber · default: 100 -
The number of candidates to track while assembling the list of nearest neighbors for each new node.
Only applicable to
hnsw,int8_hnsw,bbq_hnsw, andint4_hnswindex types. -
mnumber · default: 16 -
The number of neighbors each node will be connected to in the HNSW graph.
Only applicable to
hnsw,int8_hnsw,bbq_hnsw, andint4_hnswindex types. -
typeenumrequired -
The type of kNN algorithm to use.
Supported values include:
bbq_flat: This utilizes a brute-force search algorithm in addition to automatically quantizing to binary vectors. Only supportselement_typeoffloat.bbq_hnsw: This utilizes the HNSW algorithm in addition to automatic binary quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by nearly 32x at the cost of some accuracy.
flat: This utilizes a brute-force search algorithm for exact kNN search. This supports allelement_typevalues.hnsw: This utilizes the HNSW algorithm for scalable approximate kNN search. This supports allelement_typevalues.int4_flat: This utilizes a brute-force search algorithm in addition to automatically half-byte scalar quantization. Only supportselement_typeoffloat.int4_hnsw: This utilizes the HNSW algorithm in addition to automatically scalar quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by 8x at the cost of some accuracy.
int8_flat: This utilizes a brute-force search algorithm in addition to automatically scalar quantization. Only supportselement_typeoffloat.int8_hnsw: The default index type forfloatvectors. This utilizes the HNSW algorithm in addition to automatically scalar quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by 4x at the cost of some accuracy.
-
Values:
bbq_flatbbq_hnswflathnswint4_flatint4_hnswint8_flatint8_hnsw -
similarityenum -
The vector similarity metric to use in kNN search.
Documents are ranked by their vector field's similarity to the query vector. The
_scoreof each document will be derived from the similarity, in a way that ensures scores are positive and that a larger score corresponds to a higher ranking.Defaults to
l2_normwhenelement_typeisbitotherwise defaults tocosine.bitvectors only supportl2_normas their similarity metric.This parameter can only be specified when
indexistrue.Supported values include:
cosine: Computes the cosine similarity. During indexing Elasticsearch automatically normalizes vectors withcosinesimilarity to unit length. This allows to internally usedot_productfor computing similarity, which is more efficient. Original un-normalized vectors can be still accessed through scripts.
The document
_scoreis computed as(1 + cosine(query, vector)) / 2.The
cosinesimilarity does not allow vectors with zero magnitude, since cosine is not defined in this case.dot_product: Computes the dot product of two unit vectors. This option provides an optimized way to perform cosine similarity. The constraints and computed score are defined byelement_type.
When
element_typeisfloat, all vectors must be unit length, including both document and query vectors.The document
_scoreis computed as(1 + dot_product(query, vector)) / 2.When
element_typeisbyte, all vectors must have the same length including both document and query vectors or results will be inaccurate.The document
_scoreis computed as0.5 + (dot_product(query, vector) / (32768 * dims))wheredimsis the number of dimensions per vector.l2_norm: Computes similarity based on theL2distance (also known as Euclidean distance) between the vectors.
The document
_scoreis computed as1 / (1 + l2_norm(query, vector)^2).For
bitvectors, instead of usingl2_norm, thehammingdistance between the vectors is used.The
_scoretransformation is(numBits - hamming(a, b)) / numBits.max_inner_product: Computes the maximum inner product of two vectors. This is similar todot_product, but doesn't require vectors to be normalized. This means that each vector’s magnitude can significantly effect the score.
The document
_scoreis adjusted to prevent negative values. Formax_inner_productvalues< 0, the_scoreis1 / (1 + -1 * max_inner_product(query, vector)). For non-negativemax_inner_productresults the_scoreis calculatedmax_inner_product(query, vector) + 1. -
Values:
cosinedot_productl2_normmax_inner_product -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
inference_idstring · default: .elser-2-elasticsearch -
Inference endpoint that will be used to generate embeddings for the field. This parameter cannot be updated. Use the Create inference API to create the endpoint. If
search_inference_idis specified, the inference endpoint will only be used at index time. -
search_inference_idstring -
Inference endpoint that will be used to generate embeddings at query time. You can update this parameter by using the Update mapping API. Use the Create inference API to create the endpoint. If not specified, the inference endpoint defined by inference_id will be used at both index and query time.
-
index_optionsobject -
Settings for index_options that override any defaults used by semantic_text, for example specific quantization settings.
-
dense_vectorobject -
confidence_intervalnumber -
The confidence interval to use when quantizing the vectors. Can be any value between and including
0.90and1.0or exactly0. When the value is0, this indicates that dynamic quantiles should be calculated for optimized quantization. When between0.90and1.0, this value restricts the values used when calculating the quantization thresholds.For example, a value of
0.95will only use the middle95%of the values when calculating the quantization thresholds (e.g. the highest and lowest2.5%of values will be ignored).Defaults to
1/(dims + 1)forint8quantized vectors and0forint4for dynamic quantile calculation.Only applicable to
int8_hnsw,int4_hnsw,int8_flat, andint4_flatindex types. -
ef_constructionnumber · default: 100 -
The number of candidates to track while assembling the list of nearest neighbors for each new node.
Only applicable to
hnsw,int8_hnsw,bbq_hnsw, andint4_hnswindex types. -
mnumber · default: 16 -
The number of neighbors each node will be connected to in the HNSW graph.
Only applicable to
hnsw,int8_hnsw,bbq_hnsw, andint4_hnswindex types. -
typeenumrequired -
The type of kNN algorithm to use.
Supported values include:
bbq_flat: This utilizes a brute-force search algorithm in addition to automatically quantizing to binary vectors. Only supportselement_typeoffloat.bbq_hnsw: This utilizes the HNSW algorithm in addition to automatic binary quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by nearly 32x at the cost of some accuracy.
flat: This utilizes a brute-force search algorithm for exact kNN search. This supports allelement_typevalues.hnsw: This utilizes the HNSW algorithm for scalable approximate kNN search. This supports allelement_typevalues.int4_flat: This utilizes a brute-force search algorithm in addition to automatically half-byte scalar quantization. Only supportselement_typeoffloat.int4_hnsw: This utilizes the HNSW algorithm in addition to automatically scalar quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by 8x at the cost of some accuracy.
int8_flat: This utilizes a brute-force search algorithm in addition to automatically scalar quantization. Only supportselement_typeoffloat.int8_hnsw: The default index type forfloatvectors. This utilizes the HNSW algorithm in addition to automatically scalar quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by 4x at the cost of some accuracy.
-
Values:
bbq_flatbbq_hnswflathnswint4_flatint4_hnswint8_flatint8_hnsw -
chunking_settingsobject -
Settings for chunking text into smaller passages. If specified, these will override the chunking settings sent in the inference endpoint associated with inference_id. If chunking settings are updated, they will not be applied to existing documents until they are reindexed.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
index_optionsobjectThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.19 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
Additional index options for the sparse vector field that controls the token pruning behavior of the sparse vector field.
-
prunebooleanThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.19 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
Whether to perform pruning, omitting the non-significant tokens from the query to improve query performance. If prune is true but the pruning_config is not specified, pruning will occur but default values will be used. Default: false
-
pruning_configobjectThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.19 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
Optional pruning configuration. If enabled, this will omit non-significant tokens from the query in order to improve query performance. This is only used if prune is set to true. If prune is set to true but pruning_config is not specified, default values will be used.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_dimensionbooleanThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
time_series_metricenumThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
time_series_dimensionboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
_data_stream_timestampobjectThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.16 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
settingsobject -
Configuration options for the index.
-
indexobject -
Same fields as
settingsintemplate -
soft_deletesobject -
retention_leaseobject -
The maximum period to retain a shard history retention lease before it is considered expired. Shard history retention leases ensure that soft deletes are retained during merges on the Lucene index. If a soft delete is merged away before it can be replicated to a follower the following process will fail due to incomplete history on the leader.
-
routingobject -
allocationobject -
requireobject -
Assign the index to a node whose attribute has all of the given values. Each key is a node attribute: one of the built-in attributes
_name,_host_ip,_publish_ip,_ip,_host,_idand_tier, or a custom node attribute. Each value is a comma-separated string or an array of strings, and can use wildcards. -
lifecycleobject -
namestring -
The name of the policy to use to manage the index. For information about how Elasticsearch applies policy changes, see Policy updates.
-
indexing_completeboolean | string · default: false -
Indicates whether or not the index has been rolled over. Automatically set to true when ILM completes the rollover action. You can explicitly set it to skip rollover.
-
origination_datenumber · default: 0 -
If specified, this is the timestamp used to calculate the index age for its phase transitions. Use this setting if you create a new index that contains old data and want to use the original creation date to calculate the index age. Specified as a Unix epoch value in milliseconds.
-
parse_origination_dateboolean -
Set to true to parse the origination date from the index name. This origination date is used to calculate the index age for its phase transitions. The index name must match the pattern ^.*-{date_format}-\d+, where the date_format is yyyy.MM.dd and the trailing digits are optional. An index that was rolled over would normally match the full format, for example logs-2016.10.31-000002). If the index name doesn’t match the pattern, index creation fails.
-
translogobject -
sync_intervalunion oneOf · default: 5s -
How often the translog is fsynced to disk and committed, regardless of write operations. Values less than 100ms are not allowed.
-
Values:
-10 -
durabilityenum · default: string -
Whether or not to
fsyncand commit the translog after every index, delete, update, or bulk request.Supported values include:
request(orREQUEST): (default) fsync and commit after every request. In the event of hardware failure, all acknowledged writes will already have been committed to disk.async(orASYNC): fsync and commit in the background every sync_interval. In the event of a failure, all acknowledged writes since the last automatic commit will be discarded.
-
Values:
requestREQUESTasyncASYNC -
flush_threshold_sizenumber | string · default: 512mb -
The translog stores all operations that are not yet safely persisted in Lucene (i.e., are not part of a Lucene commit point). Although these operations are available for reads, they will need to be replayed if the shard was stopped and had to be recovered. This setting controls the maximum total size of these operations, to prevent recoveries from taking too long. Once the maximum size has been reached a flush will happen, generating a new Lucene commit point.
-
retentionobject -
sizenumber | string · default: 512mb -
This controls the total size of translog files to keep for each shard. Keeping more translog files increases the chance of performing an operation based sync when recovering a replica. If the translog files are not sufficient, replica recovery will fall back to a file based sync. This setting is ignored, and should not be set, if soft deletes are enabled. Soft deletes are enabled by default in indices created in Elasticsearch versions 7.0.0 and later.
-
ageunion oneOf · default: 12h -
This controls the maximum duration for which translog files are kept by each shard. Keeping more translog files increases the chance of performing an operation based sync when recovering replicas. If the translog files are not sufficient, replica recovery will fall back to a file based sync. This setting is ignored, and should not be set, if soft deletes are enabled. Soft deletes are enabled by default in indices created in Elasticsearch versions 7.0.0 and later.
-
Values:
-10 -
analysisobject -
analyzermap string to oneOf -
<string>union oneOf -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
languageenumrequired -
Values:
ArabicArmenianBasqueCatalanDanishDutchEnglishEstonianFinnishFrenchGermanGerman2HungarianItalianIrishKpLithuanianLovinsNorwegianPorterPortugueseRomanianRussianSerbianSpanishSwedishTurkish -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
_arabic__armenian__basque__bengali__brazilian__bulgarian__catalan__cjk__czech__danish__dutch__english__estonian__finnish__french__galician__german__greek__hindi__hungarian__indonesian__irish__italian__latvian__lithuanian__norwegian__persian__portuguese__romanian__russian__serbian__sorani__spanish__swedish__thai__turkish__none_ -
stopwordsunion oneOf -
Values:
[...]
